Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.opengl.renderer
Class QuadBasedLineStripRenderer

    java.lang.Object
      org.newdawn.slick.opengl.renderer.QuadBasedLineStripRenderer

All Implemented Interfaces:
  LineStripRenderer

    public class QuadBasedLineStripRenderer

extends java.lang.Object
implements LineStripRenderer

A line strip renderer that uses quads to generate lines

Author:
  kevin

Field Summary
`static int` | `MAX_POINTS` Maximum number of points allowed in a single strip

Constructor Summary
`QuadBasedLineStripRenderer()` Create a new strip renderer

Method Summary
`boolean` | `applyGLLineFixes()` Check if we should apply default line fixes
`void` | `color(float r, float g, float b, float a)` Apply a colour to the next vertex
`void` | `end()` End the line strips
`void` | `renderLines(float[] points, int count)` Render the lines applying antialiasing if required
`void` | `renderLinesImpl(float[] points, int count, float w)` Render the lines given
`void` | `setAntiAlias(boolean antialias)` Indicate whether antialiasing should be applied
`void` | `setLineCaps(boolean caps)` Indicate if we should render end caps
`void` | `setWidth(float width)` Set the width of the lines to be drawn
`void` | `start()` Start the line strips
`void` | `vertex(float x, float y)` Add a vertex

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_POINTS

    public static int MAX_POINTS

  Maximum number of points allowed in a single strip

Constructor Detail

### QuadBasedLineStripRenderer

    public QuadBasedLineStripRenderer()

  Create a new strip renderer

Method Detail

### setLineCaps

    public void setLineCaps(boolean caps)

  Indicate if we should render end caps

  Specified by:
    `setLineCaps` in interface `LineStripRenderer`
  Parameters:
    `caps` - True if we should render end caps

### start

    public void start()

  Description copied from interface: `LineStripRenderer`
  Start the line strips

  Specified by:
    `start` in interface `LineStripRenderer`
  See Also:
    `LineStripRenderer.start()`

### end

    public void end()

  Description copied from interface: `LineStripRenderer`
  End the line strips

  Specified by:
    `end` in interface `LineStripRenderer`
  See Also:
    `LineStripRenderer.end()`

### vertex

    public void vertex(float x,
                       float y)

  Description copied from interface: `LineStripRenderer`
  Add a vertex

  Specified by:
    `vertex` in interface `LineStripRenderer`
  Parameters:
    `x` - The x coordinate of the vertex
    `y` - The y coordinate of the vertex
  See Also:
    `LineStripRenderer.vertex(float, float)`

### setWidth

    public void setWidth(float width)

  Description copied from interface: `LineStripRenderer`
  Set the width of the lines to be drawn

  Specified by:
    `setWidth` in interface `LineStripRenderer`
  Parameters:
    `width` - The width of the lines to be drawn
  See Also:
    `LineStripRenderer.setWidth(float)`

### setAntiAlias

    public void setAntiAlias(boolean antialias)

  Description copied from interface: `LineStripRenderer`
  Indicate whether antialiasing should be applied

  Specified by:
    `setAntiAlias` in interface `LineStripRenderer`
  Parameters:
    `antialias` - True if antialiasing should be applied
  See Also:
    `LineStripRenderer.setAntiAlias(boolean)`

### renderLines

    public void renderLines(float[] points,
                            int count)

  Render the lines applying antialiasing if required

  Parameters:
    `points` - The points to be rendered as lines
    `count` - The number of points to render

### renderLinesImpl

    public void renderLinesImpl(float[] points,
                                int count,
                                float w)

  Render the lines given

  Parameters:
    `points` - The points building up the lines
    `count` - The number of points to render
    `w` - The width to render at

### color

    public void color(float r,
                      float g,
                      float b,
                      float a)

  Description copied from interface: `LineStripRenderer`
  Apply a colour to the next vertex

  Specified by:
    `color` in interface `LineStripRenderer`
  Parameters:
    `r` - The red component of the colour
    `g` - The green component of the colour
    `b` - The blue component of the colour
    `a` - The alpha component of the colour
  See Also:
    `LineStripRenderer.color(float, float, float, float)`

### applyGLLineFixes

    public boolean applyGLLineFixes()

  Description copied from interface: `LineStripRenderer`
  Check if we should apply default line fixes

  Specified by:
    `applyGLLineFixes` in interface `LineStripRenderer`
  Returns:
    True if we should apply GL fixes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.